%define	nspr_version	4.6
%define	nspr_evr	1:%{nspr_version}
%define	nss_version	3.11
%define	nss_evr		1:%{nss_version}
%define	svrcore_version	4.0.3
Summary:	Mozilla LDAP C SDK
Summary(pl.UTF-8):	Biblioteki Mozilla LDAP C SDK
Name:		mozldap
Version:	6.0.7
Release:	3
License:	MPL v1.1 or GPL v2+ or LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.mozilla.org/pub/mozilla.org/directory/c-sdk/releases/v%{version}/src/%{name}-%{version}.tar.gz
# Source0-md5:	6e1b8ace4931a6839fe4cb027d23b5ac
Patch0:		%{name}-link.patch
Patch1:		%{name}-ac.patch
URL:		http://wiki.mozilla.org/LDAP_C_SDK
BuildRequires:	autoconf >= 2.13
BuildRequires:	cyrus-sasl-devel >= 2.0
BuildRequires:	gawk
BuildRequires:	libstdc++-devel
BuildRequires:	nspr-devel >= %{nspr_evr}
BuildRequires:	nss-devel >= %{nss_evr}
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	svrcore-devel >= %{svrcore_version}
Requires:	nspr >= %{nspr_evr}
Requires:	nss >= %{nss_evr}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libldap60.so libprldap60.so libssldap60.so libldif60.so

%description
The Mozilla LDAP C SDK is a set of libraries that allow applications
to communicate with LDAP directory servers. These libraries are
derived from the University of Michigan and Netscape LDAP libraries.
They use Mozilla NSPR and NSS for crypto.

%description -l pl.UTF-8
Mozilla LDAP C SDK to zestaw bibliotek pozwalających aplikacjom
komunikować się z serwerami usług katalogowych LDAP. Biblioteki te
wywodzą się z bibliotek LDAP University of Michigan i Netscape.
Wykorzystują biblioteki Mozilla NSPR i NSS do kryptografii.

%package devel
Summary:	Development files and examples for Mozilla LDAP C SDK
Summary(pl.UTF-8):	Pliki programistyczne i przykłady dla bibliotek Mozilla LDAP C SDK
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	nspr-devel >= %{nspr_evr}
Requires:	nss-devel >= %{nss_evr}

%description devel
Header and other files for doing development with the Mozilla LDAP C
SDK.

%description devel -l pl.UTF-8
Pliki nagłówkowe i inne do tworzenia oprogramowania z użyciem
bibliotek Mozilla LDAP C SDK

%package static
Summary:	Static Mozilla LDAP C SDK libraries
Summary(pl.UTF-8):	Statyczne biblioteki Mozilla LDAP C SDK
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Mozilla LDAP C SDK libraries.

%description static -l pl.UTF-8
Statyczne biblioteki Mozilla LDAP C SDK.

%package tools
Summary:	Tools for the Mozilla LDAP C SDK
Summary(pl.UTF-8):	Narzędzia dla bibliotek Mozilla LDAP C SDK
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	svrcore >= %{svrcore_version}

%description tools
The mozldap-tools package provides the ldapsearch, ldapmodify, and
ldapdelete tools that use the Mozilla LDAP C SDK libraries.

%description tools -l pl.UTF-8
Ten pakiet dostarcza narzędzia ldapsearch, ldapmodify i ldapdelete
wykorzystujące biblioteki Mozilla LDAP C SDK.

%prep
%setup -q
%patch0 -p3
%patch1 -p3

%build
DISTDIR=$(pwd)/dist
cd c-sdk
%{__autoconf}
%configure \
%ifarch %{x8664} ia64 ppc64 s390x
	--enable-64bit \
%endif
	--disable-debug \
	--enable-clu \
	--enable-optimize \
	--with-dist-prefix=$DISTDIR \
	--with-sasl \
	--with-system-nspr \
	--with-system-nss \
	--with-system-svrcore

%ifarch %{x8664} ppc64 ia64 s390x
USE_64=1
export USE_64
%endif

%{__make} \
	XCFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{{%{_includedir},%{_libdir}}/mozldap,%{_bindir},%{_sysconfdir}/%{name}}

install dist/lib/lib*.so $RPM_BUILD_ROOT%{_libdir}
install dist/lib/lib*.a $RPM_BUILD_ROOT%{_libdir}
install dist/public/ldap/*.h $RPM_BUILD_ROOT%{_includedir}/mozldap
install dist/bin/ldap* $RPM_BUILD_ROOT%{_bindir}
# what really uses these and proper install dir?
install dist/etc/* $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a c-sdk/ldap/examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install -d $RPM_BUILD_ROOT%{_pkgconfigdir}
sed c-sdk/mozldap.pc.in -e "
	s,%%prefix%%,%{_prefix},g
	s,%%exec_prefix%%,%{_prefix},g
	s,%%libdir%%,%{_libdir},g
	s,%%includedir%%,%{_includedir}/mozldap,g
	s,%%bindir%%,%{_bindir},g
	s,%%major%%,6,g
	s,%%minor%%,0,g
	s,%%submin%%,7,g
	s,%%libsuffix%%,60,g
	s,%%NSPR_VERSION%%,%{nspr_version},g
	s,%%NSS_VERSION%%,%{nss_version},g
	s,%%MOZLDAP_VERSION%%,%{version},g
" > $RPM_BUILD_ROOT%{_pkgconfigdir}/mozldap.pc

cd $RPM_BUILD_ROOT%{_libdir}
for file in lib*.so; do
	mv $file $file.%{version}
	ln -s $file.%{version} $file
done

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libldap60.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libldap60.so
%attr(755,root,root) %{_libdir}/libprldap60.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libprldap60.so
%attr(755,root,root) %{_libdir}/libssldap60.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libssldap60.so
%attr(755,root,root) %{_libdir}/libldif60.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libldif60.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/mozldap
%{_pkgconfigdir}/mozldap.pc
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libiutil60.a
%{_libdir}/liblber60.a
%{_libdir}/libldap60.a
%{_libdir}/libldif60.a

%files tools
%defattr(644,root,root,755)
%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/ldapfilter.conf
%{_sysconfdir}/%{name}/ldapfriendly
%{_sysconfdir}/%{name}/ldapsearchprefs.conf
%{_sysconfdir}/%{name}/ldaptemplates.conf
# NOTE: these probably collide with openldap
%attr(755,root,root) %{_bindir}/ldapcmp
%attr(755,root,root) %{_bindir}/ldapcompare
%attr(755,root,root) %{_bindir}/ldapdelete
%attr(755,root,root) %{_bindir}/ldapmodify
%attr(755,root,root) %{_bindir}/ldappasswd
%attr(755,root,root) %{_bindir}/ldapsearch
%changelog
* Mon Mar 02 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mozldap.git;a=log;h=master

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> 186083f
- x32 rebuild
- release 3 (by relup.sh)

* Thu Dec 06 2012 Jan Rękorajski <baggins@pld-linux.org> 5a1d606
- release 2 (by relup.sh)

* Sun Feb 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 96fc741
- updated to 6.0.7

* Tue Sep 30 2008 Jakub Bogusz <qboosh@pld-linux.org> 4e49960
- updated to 6.0.6
- updated ac patch

* Tue Sep 30 2008 Jakub Bogusz <qboosh@pld-linux.org> c23ceb6
- updated for 6.0.6

* Thu Jun 19 2008 Jakub Bogusz <qboosh@pld-linux.org> c5440db
- release 2

* Wed Jun 18 2008 Jakub Bogusz <qboosh@pld-linux.org> 906691f
- added ac patch to fix problem with autoconf 2.62

* Wed Jun 18 2008 Jakub Bogusz <qboosh@pld-linux.org> cd241e7
- ac 2.62 disallows use of configure time variables in AC_OUTPUT

* Wed Jun 18 2008 Elan Ruusamäe <glen@pld-linux.org> e1a34c8
- add todo

* Thu Mar 06 2008 Elan Ruusamäe <glen@pld-linux.org> e04e257
- no makefile for examples

* Thu Mar 06 2008 Elan Ruusamäe <glen@pld-linux.org> f18a767
- add ldif60.so
- verbose files
- examples to %{_examplesdir}
- put tools to bindir

* Thu Mar 06 2008 Elan Ruusamäe <glen@pld-linux.org> 1cd6c26
- todo?

* Thu Mar 06 2008 Elan Ruusamäe <glen@pld-linux.org> a9cfc85
- new url

* Sat Jan 05 2008 Jakub Bogusz <qboosh@pld-linux.org> ac17591
- updated to 6.0.5
- ghost soname symlinks

* Thu Jul 12 2007 Jakub Bogusz <qboosh@pld-linux.org> a45f76b
- updated to 6.0.4

* Sat Mar 17 2007 Jakub Bogusz <qboosh@pld-linux.org> 3f150b5
- updated to 6.0.3
- updated link patch

* Sat Mar 17 2007 Jakub Bogusz <qboosh@pld-linux.org> 658a05a
- updated for 6.0.3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d333356
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8a0946c
- converted to UTF-8

* Wed Jan 17 2007 Jakub Bogusz <qboosh@pld-linux.org> 5bcfe60
- updated to 6.0.2

